//Upscale

textures/ef_tatooine/stars_new
{
	qer_editorimage textures/common/sky.tga
	q3map_lightimage textures/ef_tatooine/s_flatgreen.tga
	q3map_surfacelight	25
	q3map_lightsubdivide 512
	q3map_sun 1 1 1 32 90 90
	q3map_noFog
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm sky
	skyParms textures/ef_tatooine/upscale/stars 512 -
	{
		map textures/ef_tatooine/upscale/clouds.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 4 4
		tcMod scroll 0.015 0.01
	}
}

textures/ef_tatooine/cloud_remap
{
	qer_editorimage textures/ef_tatooine/upscale/clouds.tga
	qer_trans 1.0
	qer_alphafunc greater 0
	surfaceparm trans
	surfaceparm nolightmap
	q3map_noVertexlight
	q3map_globalTexture
	nomipmaps
	{
		map textures/ef_tatooine/upscale/clouds.tga
		tcMod scale 4 4
		tcMod scroll 0.015 0.01
		rgbGen identityLighting
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/ef_tatooine/stars_bk
{
	qer_editorimage textures/ef_tatooine/upscale/stars_bk.tga
	q3map_lightimage textures/ef_tatooine/s_flatgreen.tga
	surfaceparm nolightmap
	nomipmaps
	{
		map textures/ef_tatooine/upscale/stars_bk.tga
		rgbGen identityLighting
	}
	{
		map textures/ef_tatooine/ydnar_lightning.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave triangle -8 9 0 0.137
		alphaGen wave noise -3 4 0 2.37
		tcMod scale 3 3
		tcMod scroll 0.003 -0.0015
	}
}

textures/ef_tatooine/stars_dn
{
	qer_editorimage textures/ef_tatooine/upscale/stars_dn.tga
	q3map_lightimage textures/ef_tatooine/s_flatgreen.tga
	surfaceparm nolightmap
	nomipmaps
	{
		map textures/ef_tatooine/upscale/stars_dn.tga
		rgbGen identityLighting
	}
	{
		map textures/ef_tatooine/ydnar_lightning.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave triangle -8 9 0 0.137
		alphaGen wave noise -3 4 0 2.37
		tcMod scale 3 3
		tcMod scroll 0.003 -0.0015
	}
}

textures/ef_tatooine/stars_ft
{
	qer_editorimage textures/ef_tatooine/upscale/stars_ft.tga
	q3map_lightimage textures/ef_tatooine/s_flatgreen.tga
	surfaceparm nolightmap
	nomipmaps
	{
		map textures/ef_tatooine/upscale/stars_ft.tga
		rgbGen identityLighting
	}
	{
		map textures/ef_tatooine/ydnar_lightning.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave triangle -8 9 0 0.137
		alphaGen wave noise -3 4 0 2.37
		tcMod scale 3 3
		tcMod scroll 0.003 -0.0015
	}
}

textures/ef_tatooine/stars_lf
{
	qer_editorimage textures/ef_tatooine/upscale/stars_lf.tga
	q3map_lightimage textures/ef_tatooine/s_flatgreen.tga
	surfaceparm nolightmap
	nomipmaps
	{
		map textures/ef_tatooine/upscale/stars_lf.tga
		rgbGen identityLighting
	}
	{
		map textures/ef_tatooine/ydnar_lightning.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave triangle -8 9 0 0.137
		alphaGen wave noise -3 4 0 2.37
		tcMod scale 3 3
		tcMod scroll 0.003 -0.0015
	}
}

textures/ef_tatooine/stars_rt
{
	qer_editorimage textures/ef_tatooine/upscale/stars_rt.tga
	q3map_lightimage textures/ef_tatooine/s_flatgreen.tga
	surfaceparm nolightmap
	nomipmaps
	{
		map textures/ef_tatooine/upscale/stars_rt.tga
		rgbGen identityLighting
	}
	{
		map textures/ef_tatooine/ydnar_lightning.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave triangle -8 9 0 0.137
		alphaGen wave noise -3 4 0 2.37
		tcMod scale 3 3
		tcMod scroll 0.003 -0.0015
	}
}

textures/ef_tatooine/stars_up
{
	qer_editorimage textures/ef_tatooine/upscale/stars_up.tga
	q3map_lightimage textures/ef_tatooine/s_flatgreen.tga
	surfaceparm nolightmap
	nomipmaps
	{
		map textures/ef_tatooine/upscale/stars_up.tga
		rgbGen identityLighting
	}
	{
		map textures/ef_tatooine/ydnar_lightning.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave triangle -8 9 0 0.137
		alphaGen wave noise -3 4 0 2.37
		tcMod scale 3 3
		tcMod scroll 0.003 -0.0015
	}
}

textures/ef_tatooine/brock1
{
	qer_editorimage textures/ef_tatooine/upscale/brock1.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/brock1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ef_tatooine/circuits1
{
	qer_editorimage textures/ef_tatooine/circuits.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_tatooine/circuits.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ef_tatooine/circuits2
{
	qer_editorimage textures/ef_tatooine/circuits.tga
	{
		map $lightmap
		rgbGen vertex
	}
	{
		map textures/ef_tatooine/circuits.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ef_tatooine/circuits3
{
	qer_editorimage textures/ef_tatooine/circuits.tga
	surfaceparm nolightmap
	{
		map textures/ef_tatooine/circuits.tga
	}
}

textures/ef_tatooine/base
{
	qer_editorimage textures/ef_tatooine/upscale/base.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/base.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ef_tatooine/base7
{
	qer_editorimage textures/ef_tatooine/upscale/base7.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/base7.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ef_tatooine/upscale/basemetal4-256
{
	qer_editorimage textures/ef_tatooine/upscale/basemetal4-256.tga
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/basemetal4-256.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/sheetflake_lowcontrast.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		rgbGen identity
		tcMod scale 12 12
	}
}

textures/ef_tatooine/upscale/basemetal4-512
{
	qer_editorimage textures/ef_tatooine/upscale/basemetal4-512.tga
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/basemetal4-512.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/sheetflake_lowcontrast.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		rgbGen identity
		tcMod scale 12 12
	}
}

textures/ef_tatooine/basemetal5
{
	qer_editorimage textures/ef_tatooine/upscale/basemetal5.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/basemetal5.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ef_tatooine/basemetal6-256
{
	qer_editorimage textures/ef_tatooine/upscale/basemetal6-256.tga
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/basemetal6-256.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/metalsmooth.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		rgbGen identity
		tcMod scale 6 6
	}
}

textures/ef_tatooine/basemetal6-512
{
	qer_editorimage textures/ef_tatooine/upscale/basemetal6-512,tga
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/basemetal6-512.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/metalsmooth.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		rgbGen identity
		tcMod scale 6 6
	}
}

textures/ef_tatooine/bigborg2
{
	qer_editorimage textures/ef_tatooine/upscale/bigborg2.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/bigborg2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ef_tatooine/newborgwall
{
	qer_editorimage textures/ef_tatooine/upscale/newborgwall.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/newborgwall.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ef_tatooine/basemetal
{
	qer_editorimage textures/ef_tatooine/upscale/basemetal.tga
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/basemetal.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}	
	{
		map textures/ef_tatooine/upscale/metalsmooth.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		rgbGen identity
		tcMod scale 6 6
	}
}

textures/ef_tatooine/basemetal1b
{
	qer_editorimage textures/ef_tatooine/upscale/basemetal1b.tga
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/basemetal1b.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/sheetflake_lowcontrast.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		rgbGen identity
		tcMod scale 24 24
	}
}

textures/ef_tatooine/basemetal2
{
	qer_editorimage textures/ef_tatooine/upscale/basemetal2.tga
	q3map_lightmapSize 1024 1024
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/basemetal2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/sheetflake_lowcontrast.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		rgbGen identity
		tcMod scale 12 12
	}
}

textures/ef_tatooine/basemetallt
{
	qer_editorimage textures/ef_tatooine/upscale/basemetallt.tga
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/basemetallt.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/metalsmooth.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		rgbGen identity
		tcMod scale 6 6
	}
}

textures/ef_tatooine/basic4
{
	qer_editorimage textures/ef_tatooine/upscale/basic4.tga
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/basic4.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/sheetflake_lowcontrast.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		rgbGen identity
		tcMod scale 12 12
	}
}

textures/ef_tatooine/column-256
{
	qer_editorimage textures/ef_tatooine/upscale/column-256.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/column-256.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/pulse1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.25 0.25 0.25 0.25
		tcMod turb 0.2 0.2 0.1 1
		tcMod scale 0.25 0.25
		tcMod scroll -0.5 -1.2
	}
}

textures/ef_tatooine/column-512
{
	qer_editorimage textures/ef_tatooine/upscale/column-512.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/column-512.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/pulse1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.25 0.25 0.25 0.25
		tcMod turb 0.2 0.2 0.1 1
		tcMod scale 0.25 0.25
		tcMod scroll -0.5 -1.2
	}
}

textures/ef_tatooine/floor5b
{
	qer_editorimage textures/ef_tatooine/upscale/floor5b.tga
	q3map_lightmapSize 1024 1024
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/floor5b.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/sheetflake_lowcontrast.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		rgbGen identity
		tcMod scale 8 8
	}
}

textures/ef_tatooine/floor7
{
	qer_editorimage textures/ef_tatooine/upscale/floor7.tga
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/floor7.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/metalsmooth.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		rgbGen identity
		tcMod scale 6 6
	}
}

textures/ef_tatooine/floor8b
{
	qer_editorimage textures/ef_tatooine/upscale/floor8b.tga
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/floor8b.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/sheetflake_lowcontrast.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		rgbGen identity
		tcMod scale 8 8
	}
}

textures/ef_tatooine/bars
{
	qer_editorimage textures/ef_tatooine/upscale/bars.tga
	surfaceparm metalsteps
	surfaceparm trans
	{
		map textures/ef_tatooine/upscale/bars.tga
		alphaFunc GE128
		blendFunc GL_ONE GL_ZERO
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/sheetflake_lowcontrast.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		depthFunc equal
		detail
		rgbGen identity
		tcMod scale 12 12
	}
}

textures/ef_tatooine/borg4sm
{
	qer_editorimage textures/ef_tatooine/upscale/borg4sm.tga
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/borg4sm.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/sheetflake_lowcontrast.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		rgbGen identity
		tcMod scale 12 12
	}
}

textures/ef_tatooine/borgfloorsm
{
	qer_editorimage textures/ef_tatooine/upscale/borgfloorsm.tga
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/borgfloorsm.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/sheetflake_lowcontrast.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		rgbGen identity
		tcMod scale 12 12
	}
}

textures/ef_tatooine/borg_strip
{
	qer_editorimage textures/ef_tatooine/upscale/borg_strip.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/borg_strip.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ef_tatooine/borg_strip_zapper
{
	qer_editorimage textures/ef_tatooine/upscale/borg_strip_zapper.tga
	{
		map textures/ef_tatooine/upscale/green1.tga
		rgbGen wave sin 0.8 0.2 0 0.5
		tcMod scroll 535231 5321
		tcMod scale 4 2
	}
	{
		map textures/ef_tatooine/upscale/borg_strip_zapper.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ef_tatooine/ozgenbig
{
	qer_editorimage textures/ef_tatooine/upscale/ozgenbig.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/ozgenbig.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ef_tatooine/ozgencorner
{
	qer_editorimage textures/ef_tatooine/upscale/ozgencorner.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/ozgencorner.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ef_tatooine/newozgen
{
	qer_editorimage textures/ef_tatooine/upscale/newozgen.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/newozgen.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ef_tatooine/borg_underside
{
	qer_editorimage textures/ef_tatooine/upscale/borg_underside.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/borg_underside.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ef_tatooine/borg_middle-512
{
	qer_editorimage textures/ef_tatooine/upscale/borg_middle-512.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/borg_middle-512.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ef_tatooine/borg_middle-1024
{
	qer_editorimage textures/ef_tatooine/upscale/borg_middle-1024.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/borg_middle-1024.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ef_tatooine/big_vinc
{
	qer_editorimage textures/ef_tatooine/upscale/big_vinc.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/big_vinc.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ef_tatooine/big_vinc-512
{
	qer_editorimage textures/ef_tatooine/upscale/big_vinc-512.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/big_vinc-512.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ef_tatooine/big_vinc-1024
{
	qer_editorimage textures/ef_tatooine/upscale/big_vinc-1024.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/big_vinc-1024.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ef_tatooine/ribbing5
{
	qer_editorimage textures/ef_tatooine/upscale/ribbing5.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/ribbing5.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/pulse1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.5 0.25 0.25 0.25
		tcMod turb 0.2 0.2 0.1 1
		tcMod scale 0.25 0.25
		tcMod scroll -0.5 -1.2
	}
}

textures/ef_tatooine/sevenwallscreenforge
{
	qer_editorimage textures/ef_tatooine/upscale/sevenwallscreen.tga
	{
		map $lightmap
	}
	{
		map textures/ef_tatooine/upscale/sevenwallscreen.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/ef_tatooine/upscale/sevenwallscreengreen.tga
		blendFunc GL_ONE GL_ONE
	}
	{
		animMap 1 textures/ef_tatooine/upscale/sevenwallscreendot.tga textures/ef_tatooine/upscale/sevenwallscreendot2.tga textures/ef_tatooine/upscale/sevenwallscreendot3.tga textures/ef_tatooine/upscale/sevenwallscreendot4.tga 
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0 1 0 1
	}
	{
		animMap 1 textures/ef_tatooine/upscale/sevenwallscreenf1.tga textures/ef_tatooine/upscale/sevenwallscreenf1.tga textures/ef_tatooine/upscale/sevenwallscreenf1.tga textures/ef_tatooine/upscale/sevenwallscreenf1.tga textures/ef_tatooine/upscale/sevenwallscreenf2.tga textures/ef_tatooine/upscale/sevenwallscreenf2.tga textures/ef_tatooine/upscale/sevenwallscreenf2.tga textures/ef_tatooine/upscale/sevenwallscreenf2.tga 
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0 1 0 0.5
	}
}

textures/ef_tatooine/panel_imod
{
	qer_editorimage textures/ef_tatooine/upscale/panel_imod7.tga
	surfaceparm nolightmap
	{
		animMap 8 textures/ef_tatooine/upscale/panel_imod.tga textures/ef_tatooine/upscale/panel_imod1.tga textures/ef_tatooine/upscale/panel_imod2.tga textures/ef_tatooine/upscale/panel_imod3.tga textures/ef_tatooine/upscale/panel_imod4.tga textures/ef_tatooine/upscale/panel_imod5.tga textures/ef_tatooine/upscale/panel_imod6.tga textures/ef_tatooine/upscale/panel_imod7.tga 
	}
	{
		map textures/ef_tatooine/upscale/panel_imod7.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0 0.25 0 1
	}
}

textures/ef_tatooine/miniscreen2
{
	qer_editorimage textures/ef_tatooine/upscale/miniscreen2.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/miniscreen2.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		animMap 6 textures/ef_tatooine/upscale/miniscreen2a.tga textures/ef_tatooine/upscale/miniscreen2b.tga textures/ef_tatooine/upscale/miniscreen2c.tga textures/ef_tatooine/upscale/miniscreen2d.tga textures/ef_tatooine/upscale/miniscreen2e.tga textures/ef_tatooine/upscale/miniscreen2f.tga 
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/ef_tatooine/upscale/miniscreen_spec.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		detail
		alphaGen lightingSpecular
	}
}

textures/ef_tatooine/sevenwallforge
{
	qer_editorimage  textures/ef_tatooine/upscale/sevenwallframe.tga
	{
		map $lightmap
	}
	{
		map textures/ef_tatooine/upscale/sevenwallframe.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/ef_tatooine/upscale/sevenwallglow.tga
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/ef_tatooine/upscale/sevenwallglow.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0 0.25 0 1
	}
}

textures/ef_tatooine/s_flatgreen
{
	qer_editorimage textures/ef_tatooine/s_flatgreen.tga
	q3map_surfacelight	3000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_tatooine/s_flatgreen.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ef_tatooine/s_flatgreen_blend.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.05 0 10
	}
}

textures/ef_tatooine/s_flatgreen_nolight
{
	qer_editorimage textures/ef_tatooine/s_flatgreen.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/s_flatgreen.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ef_tatooine/s_flatgreen_blend.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.05 0 10
	}
}


textures/ef_tatooine/alcovefront2b
{
	qer_editorimage textures/ef_tatooine/upscale/alcovefront2b.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/alcovefront2b.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ef_tatooine/alcovesideb
{
	qer_editorimage textures/ef_tatooine/upscale/alcovesideb.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/alcovesideb.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ef_tatooine/alcovetop
{
	qer_editorimage textures/ef_tatooine/upscale/alcovetop.tga
	q3map_surfacelight 7000
	surfaceparm nolightmap
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/alcovetop.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ef_tatooine/wall4-256
{
	qer_editorimage textures/ef_tatooine/upscale/wall4-256.tga
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/wall4-256.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/metalsmooth.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		rgbGen identity
		tcMod scale 3 3
	}
}

textures/ef_tatooine/wall4-128
{
	qer_editorimage textures/ef_tatooine/upscale/wall4-128.tga
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map  textures/ef_tatooine/upscale/wall4-128.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/metalsmooth.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		rgbGen identity
		tcMod scale 3 3
	}
}

textures/ef_tatooine/tall5smb
{

	qer_editorimage textures/ef_tatooine/upscale/tall5smb.tga
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/tall5smb.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/metalsmooth.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		rgbGen identity
		tcMod scale 3 12
	}
}

textures/ef_tatooine/tall1smb
{

	qer_editorimage textures/ef_tatooine/upscale/tall1smb.tga
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/tall1smb.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ef_tatooine/upscale/metalsmooth.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		rgbGen identity
		tcMod scale 3 12
	}
}

textures/ef_tatooine/pulsate
{
	qer_editorimage textures/Voyager/pulse2.tga
	surfaceparm nolightmap
	surfaceparm trans
	{
		map textures/voyager/pulse2.tga
		blendFunc GL_DST_COLOR GL_ONE
		tcMod turb 1 1 1 5
		tcMod scale 0.25 0.25
	}
}

textures/ef_tatooine/rbeam
{
	qer_editorimage textures/ef_tatooine/upscale/rbeam_edimage.tga
	qer_trans 0.5
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull back
	{
		map textures/ef_tatooine/upscale/rbeam.tga
		alphaFunc GT0
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scroll -0.025 0
	}
	{
		map textures/borg/dust.tga
		blendFunc GL_ONE GL_ONE
		tcMod scroll 0.05 0
	}
	{
		map textures/borg/dust.tga
		blendFunc GL_ONE GL_ONE
		detail
		tcMod scroll -0.03 0
	}
}

textures/ef_tatooine/lazerbeam
{
	surfaceparm trans
    	surfaceparm nomarks
    	surfaceparm nolightmap
	surfaceparm nonsolid
	cull none
	{
		clampmap textures/ef_tatooine/lazerbeam.tga
            		blendFunc GL_ONE GL_ONE
		animMap 10 textures/ef_tatooine/lazerbeam7.tga textures/ef_tatooine/lazerbeam6.tga textures/ef_tatooine/lazerbeam5.tga textures/ef_tatooine/lazerbeam4.tga textures/ef_tatooine/lazerbeam3.tga textures/ef_tatooine/lazerbeam2.tga textures/ef_tatooine/lazerbeam1.tga textures/ef_tatooine/lazerbeam.tga 
	}
}

//Misc

textures/ef_tatooine/botclip
{
	qer_trans 0.40
	qer_editorimage textures/common/botclip.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm botclip
	surfaceparm noimpact
	surfaceparm trans
}

//Original

textures/ef_tatooine/sand
{
	qer_editorimage textures/ef_tatooine/sand.tga
	q3map_lightmapSize 1024 1024
	q3map_material Sand
	q3map_nonplanar
	q3map_splotchfix
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_tatooine/sand.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ef_tatooine/arrow_decal
{
	qer_editorimage textures/ef_tatooine/arrow_decal.tga
	polygonOffset
	q3map_nolightmap
	q3map_onlyvertexlighting
	{
		map textures/ef_tatooine/arrow_decal.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/ef_tatooine/door_switch_red_decal
{
	qer_editorimage textures/ef_tatooine/door_switch_red.tga
	polygonOffset
	q3map_nolightmap
	{
		map textures/ef_tatooine/door_switch_red.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/ef_tatooine/light_yellow
{
	qer_editorimage textures/ef_tatooine/light_yellow.tga
	q3map_surfacelight	 50
	{
		map $lightmap
	}
	{
		map textures/ef_tatooine/light_yellow.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/ef_tatooine/light_yellow_glw.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/ef_tatooine/light_green
{
	qer_editorimage textures/ef_tatooine/light_green.tga
	q3map_surfacelight	 50
	{
		map $lightmap
	}
	{
		map textures/ef_tatooine/light_green.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/ef_tatooine/light_green_glw.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/ef_tatooine/outerhull
{
	qer_editorimage textures/ef_tatooine/outerhull.tga
	q3map_material HollowMetal
	{
		map $lightmap
	}
	{
		map textures/ef_tatooine/outerhull.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/ef_tatooine/panel_dbaycontrol
{
	qer_editorimage textures/ef_tatooine/panel_dbaycontrol.tga
	{
		map $lightmap
	}
	{
		map textures/ef_tatooine/panel_dbaycontrol.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/ef_tatooine/panel_dbaycontrol_glow.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/ef_tatooine/panel_dbay
{
	qer_editorimage textures/ef_tatooine/panel_dbay.tga
	{
		map $lightmap
	}
	{
		map textures/ef_tatooine/panel_dbay.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/ef_tatooine/panel_dbay_glow.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/ef_tatooine/panel_monitor
{
	qer_editorimage textures/ef_tatooine/panel_monitor.tga
	q3map_surfacelight	 50
	{
		map $lightmap
	}
	{
		map textures/ef_tatooine/panel_monitor.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/ef_tatooine/panel_monitor_glw.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/ef_tatooine/panel_tall
{
	qer_editorimage textures/ef_tatooine/panel_tall.tga
	{
		map $lightmap
	}
	{
		map textures/ef_tatooine/panel_tall.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/ef_tatooine/panel_tall_glow.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/ef_tatooine/pipe1
{
	qer_editorimage textures/ef_tatooine/pipe1.tga
	{
		map $lightmap
	}
	{
		map textures/ef_tatooine/pipe1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/ef_tatooine/environ1.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcGen environment
	}
}

textures/ef_tatooine/s_basic_floor
{
	qer_editorimage textures/ef_tatooine/s_basic_floor.tga
	q3map_material SolidMetal
	{
		map $lightmap
	}
	{
		map textures/ef_tatooine/s_basic_floor.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/ef_tatooine/s_floor_lrg
{
	qer_editorimage textures/ef_tatooine/s_floor_lrg.tga
	q3map_material SolidMetal
	{
		map $lightmap
	}
	{
		map textures/ef_tatooine/s_floor_lrg.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/ef_tatooine/s_floor1
{
	qer_editorimage textures/ef_tatooine/s_floor1.tga
	q3map_material SolidMetal
	{
		map $lightmap
	}
	{
		map textures/ef_tatooine/s_floor1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/ef_tatooine/s_floor_elevator
{
	qer_editorimage textures/ef_tatooine/s_floor_elevator.tga
	q3map_material SolidMetal
	{
		map $lightmap
	}
	{
		map textures/ef_tatooine/s_floor_elevator.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}


textures/ef_tatooine/s_light
{
	qer_editorimage textures/ef_tatooine/s_light.tga
	q3map_surfacelight	 50
	{
		map $lightmap
	}
	{
		map textures/ef_tatooine/s_light.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/ef_tatooine/s_light_glw.tga
		blendFunc GL_ONE GL_ONE
		alphaGen identity
	}
}

textures/ef_tatooine/s_switch_locked
{
	qer_editorimage textures/ef_tatooine/s_switch_locked.tga
	{
		map $lightmap
	}
	{
		map textures/ef_tatooine/s_switch_locked.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/ef_tatooine/s_switch_locked_glw.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0 1 0 1
		tcMod turb 0 0 0 0
	}
}

textures/ef_tatooine/sandfloor2b
{
	q3map_shadeangle	150
	qer_editorimage textures/ef_tatooine/sandfloor2b.tga
	q3map_lightmapSize 1024 1024
	q3map_material Sand
	q3map_nonplanar
	q3map_splotchfix
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_tatooine/sandfloor2b.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ef_tatooine/stucco
{
	qer_editorimage textures/ef_tatooine/stucco.tga
	q3map_material Plaster
	q3map_lightmapSize 1024 1024
	{
		map $lightmap
	}
	{
		map textures/ef_tatooine/stucco.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/ef_tatooine/detail5.tga
		blendFunc GL_DST_COLOR GL_ONE
		rgbGen identity
		tcMod scale 3 3
	}
}

textures/ef_tatooine/stucco2
{
	qer_editorimage textures/ef_tatooine/stucco.tga
	q3map_material Plaster
	{
		map $lightmap
	}
	{
		map textures/ef_tatooine/stucco.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/ef_tatooine/detail5.tga
		blendFunc GL_DST_COLOR GL_ONE
		rgbGen identity
		tcMod scale 3 3
	}
}

textures/ef_tatooine/stucco_top_grime
{
	qer_editorimage textures/ef_tatooine/stucco_top_grime.tga
	{
		map $lightmap
	}
	{
		map textures/ef_tatooine/stucco_top_grime.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/ef_tatooine/detail5.tga
		blendFunc GL_DST_COLOR GL_ONE
		rgbGen identity
		tcMod scale 3 3
	}
}

textures/ef_tatooine/stucco_grime
{
	qer_editorimage textures/ef_tatooine/stucco_grime.tga
	{
		map $lightmap
	}
	{
		map textures/ef_tatooine/stucco_grime.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/ef_tatooine/detail5.tga
		blendFunc GL_DST_COLOR GL_ONE
		rgbGen identity
		tcMod scale 3 1
	}
}

textures/ef_tatooine/stucco_grime_top_bottom
{
	qer_editorimage textures/ef_tatooine/stucco_grime_top_bottom.tga
	{
		map $lightmap
	}
	{
		map textures/ef_tatooine/stucco_grime_top_bottom.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/ef_tatooine/detail5.tga
		blendFunc GL_DST_COLOR GL_ONE
		rgbGen identity
		tcMod scale 3 3
	}
}

textures/ef_tatooine/turbolift
{
	qer_editorimage textures/ef_tatooine/turbolift.tga
	q3map_surfacelight	 50
	{
		map $lightmap
	}
	{
		map textures/ef_tatooine/turbolift.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/ef_tatooine/turbolift_glw.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/ef_tatooine/cat_floor2
{
	qer_editorimage textures/ef_tatooine/cat_floor2.tga
	q3map_materialHollowMetal
	q3map_nolightmap
	q3map_alphashadow
	{
		map textures/ef_tatooine/cat_floor2.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		depthWrite
		rgbGen vertex
		tcMod scale 4 4
	}
}

textures/ef_tatooine/square
{
	qer_editorimage textures/ef_tatooine/square.tga
	q3map_material	SolidMetal
	{
		map textures/ef_tatooine/enviro.tga
		tcGen environment
	}
	{
		map textures/ef_tatooine/square.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/ef_tatooine/switch_door_unlocked
{
	qer_editorimage textures/ef_tatooine/switch_door_unlocked.tga
	{
		map $lightmap
	}
	{
		map textures/ef_tatooine/switch_door_unlocked.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/ef_tatooine/switch_door_unlocked_glw.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/ef_tatooine/switch_hangar_locked
{
	qer_editorimage textures/ef_tatooine/switch_hangar_locked.tga
	q3map_surfacelight	50
	{
		map $lightmap
	}
	{
		map textures/ef_tatooine/switch_hangar_locked.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/ef_tatooine/switch_hangar_locked_glw.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0 1 0.5 1
	}
	{
		map textures/ef_tatooine/switch_hangar_locked_anim.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave square 0 1 0 1
	}
}

textures/ef_tatooine/h_sandstone
{
	qer_editorimage textures/ef_tatooine/rock_sandstone.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_tatooine/rock_sandstone.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ef_tatooine/s_ylight
{
	q3map_lightimage textures/ef_tatooine/ylight_blend.tga
	qer_editorimage textures/ef_tatooine/ylight.tga
	q3map_surfacelight	3000
	{
		map $lightmap
	}
	{
		map textures/ef_tatooine/ylight.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}	
	{
		map textures/ef_tatooine/ylight_blend.tga
		blendFunc GL_DST_COLOR GL_ONE
	}
}

textures/ef_tatooine/s_glight
{
	q3map_lightimage textures/ef_tatooine/glight_blend.tga
	qer_editorimage textures/ef_tatooine/glight.tga
	q3map_surfacelight	3000
	{
		map $lightmap
	}
	{
		map textures/ef_tatooine/glight.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}	
	{
		map textures/ef_tatooine/glight_blend.tga
		blendFunc GL_DST_COLOR GL_ONE
	}
}

textures/ef_tatooine/s_wall2_nophong
{
	qer_editorimage	textures/ef_tatooine/qt_wall2.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_tatooine/qt_wall2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ef_tatooine/s_vjun_light_vjuny
{
	q3map_lightimage textures/ef_tatooine/s_light_vjuny.tga
	qer_editorimage textures/ef_tatooine/s_light_vjuny.tga
	q3map_surfacelight	5000
	{
		map $lightmap
	}
	{
		map textures/ef_tatooine/s_light_vjuny.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/ef_tatooine/s_light_vjuny_blend.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/ef_tatooine/h_tatsky
{
	qer_editorimage textures/ef_tatooine/desert_up.tga
	q3map_lightimage textures/ef_tatooine/s_flatyellow.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nomarks
	q3map_nolightmap
	q3map_lightsubdivide 2048
	q3map_surfacelight  145
	q3map_sun 0.874291 1.000000 0.819403 175 25 70
	skyParms  textures/ef_tatooine/desert 512 -
}

textures/ef_tatooine/kor_outside
{
	qer_editorimage textures/ef_tatooine/rock_sandstone.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_tatooine/rock_sandstone.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ef_tatooine/s_black
{
	qer_editorimage textures/ef_tatooine/black.tga
	surfaceparm noimpact
	surfaceparm nomarks
	q3map_nolightmap
	{
		map textures/ef_tatooine/black.tga
		rgbGen identity
	}
}

textures/ef_tatooine/s_flatyellow
{
	qer_editorimage textures/ef_tatooine/s_flatyellow.tga
	q3map_surfacelight	3000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_tatooine/s_flatyellow.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ef_tatooine/s_flatyellow_blend.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.05 0 10
	}
}

textures/ef_tatooine/s_flatyellow_nolight
{
	qer_editorimage textures/ef_tatooine/s_flatyellow.tga.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_tatooine/s_flatyellow.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ef_tatooine/s_flatyellow_blend.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.05 0 10
	}
}

textures/ef_tatooine/s_metalc_dark
{
	qer_editorimage textures/ef_tatooine/s_metalc_dark.tga
	q3map_shadeangle	90
	{
		map textures/ef_tatooine/s_metalc_env.tga
		rgbGen identity
		tcGen environment
		tcMod scale 0.25 0.25
	}
	{
		map textures/ef_tatooine/s_metalc_dark.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity	
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ef_tatooine/s_roundy
{
	qer_editorimage textures/ef_tatooine/tracklight3.tga
	q3map_surfacelight	6000
	q3map_lightsubdivide 64
	{
		map $lightmap
	}
	{
		map textures/ef_tatooine/tracklight3.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/ef_tatooine/tracklight3_glow.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/ef_tatooine/s_squarelight
{
	qer_editorimage textures/ef_tatooine/light_white.tga
	q3map_surfacelight	3000
	q3map_nolightmap
	{
		map textures/ef_tatooine/light_white.tga
		rgbGen identity
	}
}

textures/ef_tatooine/s_squarelight_g
{
	qer_editorimage textures/ef_tatooine/l_green.tga
	q3map_surfacelight	3000
	q3map_nolightmap
	{
		map textures/ef_tatooine/l_green.tga
		rgbGen identity
	}
}


textures/ef_tatooine/s_squareslight
{
	qer_editorimage textures/ef_tatooine/s_squareslight.tga
	q3map_surfacelight	3000
	{
		map $lightmap
	}
	{
		map textures/ef_tatooine/s_squareslight.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/ef_tatooine/s_squareslight_blend.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.75 0.005 0 10
	}
}

textures/ef_tatooine/s_steptrim1_b
{
	q3map_lightimage textures/ef_tatooine/s_steptrim1_blendb.tga
	qer_editorimage textures/ef_tatooine/s_steptrim1.tga
	q3map_surfacelight	3000
	q3map_lightsubdivide 64
	{
		map $lightmap
	}
	{
		map textures/ef_tatooine/s_steptrim1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/ef_tatooine/s_steptrim1_blendb.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/ef_tatooine/s_steptrim1_r
{
	q3map_lightimage textures/ef_tatooine/s_steptrim1_blendr.tga
	qer_editorimage textures/ef_tatooine/s_steptrim1.tga
	q3map_surfacelight	3000
	q3map_lightsubdivide 64
	{
		map $lightmap
	}
	{
		map textures/ef_tatooine/s_steptrim1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/ef_tatooine/s_steptrim1_blendr.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/ef_tatooine/s_tracklight
{
	qer_editorimage textures/ef_tatooine/s_tracklight.tga
	{
		map $lightmap
	}
	{
		map textures/ef_tatooine/s_tracklight.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/ef_tatooine/s_tracklight_blend.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.1 0 0.5
	}
}

textures/ef_tatooine/s_tracklight2
{
	qer_editorimage textures/ef_tatooine/tracklight.tga
	q3map_surfacelight	500
	{
		map $lightmap
	}
	{
		map textures/ef_tatooine/tracklight.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/ef_tatooine/tracklight_glow.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/ef_tatooine/s_tracklight4
{
	qer_editorimage textures/ef_tatooine/kej_lights.tga
	q3map_surfacelight	750
	q3map_lightsubdivide 64
	{
		map $lightmap
	}
	{
		map textures/ef_tatooine/kej_lights.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/ef_tatooine/kej_lights_glow.tga
		blendFunc GL_ONE GL_ONE
	}
}

models/mapobjects/ef_tatooine/bcpanel
{
	qer_editorimage models/mapobjects/ef_tatooine/bcpanel.tga
	q3map_nolightmap
	q3map_onlyvertexlighting
	q3map_surfacelight	50
	{
		map models/mapobjects/ef_tatooine/bcpanel.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen lightingDiffuse
	}
	{
		map models/mapobjects/ef_tatooine/bcpanelglow.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 1 0.1 0 40
	}
}

models/mapobjects/ef_tatooine/cache_panel
{
	qer_editorimage models/mapobjects/ef_tatooine/cache_panel.tga
	{
		map $lightmap
	}
	{
		map models/mapobjects/ef_tatooine/cache_panel.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map models/mapobjects/ef_tatooine/cache_panel_glw.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map models/mapobjects/ef_tatooine/cache_panel_anim.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0 0.5 0 1
	}
}

models/mapobjects/ef_tatooine/cart
{
	qer_editorimage models/mapobjects/ef_tatooine/cart.tga
	q3map_material SolidMetal
	q3map_noClip
	q3map_noTjunc
	q3map_forceMeta
//	q3map_nolightmap
//	{
//		map models/mapobjects/ef_tatooine/cart.tga
//		rgbGen vertex
//	}
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/ef_tatooine/cart.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

models/mapobjects/ef_tatooine/crate_04_panel
{
	qer_editorimage models/mapobjects/ef_tatooine/crate_04_panel.tga
	q3map_nolightmap
	{
		map models/mapobjects/ef_tatooine/crate_04_panel.tga
		rgbGen vertex
	}
}

models/mapobjects/ef_tatooine/xwings
{
	qer_editorimage models/mapobjects/ef_tatooine/xwings.tga
	q3map_material SolidMetal
	q3map_noClip
	q3map_noTjunc
	q3map_forceMeta
//	q3map_nolightmap
//	{
//		map models/mapobjects/ef_tatooine/xwings.tga
//		rgbGen vertex
//	}
	{
		map $lightmap
		rgbGen identity
		depthWrite
	}
	{
		map models/mapobjects/ef_tatooine/xwings.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

models/mapobjects/ef_tatooine/xwglass_shd
{
	qer_editorimage models/mapobjects/ef_tatooine/xwglass_shd.tga
	q3map_noClip
	q3map_noTjunc
	q3map_forceMeta
//	q3map_nolightmap
//	{
//		map models/mapobjects/ef_tatooine/xwglass_shd.tga
//		rgbGen vertex
//	}

	{
		map $lightmap
		rgbGen identityLighting
		depthWrite
	}
	{
		map models/mapobjects/ef_tatooine/xwglass_shd.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identityLighting
	}
}

models/mapobjects/ef_tatooine/xwbody
{
	qer_editorimage models/mapobjects/ef_tatooine/xwbody.tga
	q3map_material SolidMetal
	q3map_noClip
	q3map_noTjunc
	q3map_forceMeta
//	q3map_nolightmap
//	{
//		map models/mapobjects/ef_tatooine/xwbody.tga
//		rgbGen vertex
//	}
	{
		map $lightmap
		rgbGen identityLighting
		depthWrite
	}
	{
		map models/mapobjects/ef_tatooine/xwbody.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identityLighting
	}
}

